(************************************************************************)
(* cxt-sig.sml                                                          *)
(*                                                                      *)
(* Description:                                                         *)
(*    Contexts                                                          *)
(*                                                                      *)
(* Author:                                                              *)
(*    Evan Chang                                                        *)
(************************************************************************)

(* $Id: cxt-sig.sml,v 1.2 2002/05/14 21:33:02 bechang_conductor Exp $ *) 


signature CXT =
sig

  datatype 'a Cxt = 
      Empty
    | Ext of 'a Cxt * 'a

  val length : 'a Cxt -> int

  val add : 'a Cxt * 'a -> 'a Cxt

  (* combine (G,G') = G''

     Combines two contexts.  Does not guarantee to preserve order.
  *)
  val combine : 'a Cxt * 'a Cxt -> 'a Cxt

end; (* signature CXT *)
