(************************************************************************)
(* hashmap.sml                                                          *)
(*                                                                      *)
(* Description:                                                         *)
(*    An implementation of a hash table.                                *)
(*                                                                      *)
(* Author:                                                              *)
(*    Evan Chang                                                        *)
(************************************************************************)

(* $Id: *)

functor HashMapFn(structure K : HASHABLE)
:> HASHMAP where type key = K.key =
struct

  structure HT = HashMapRFn(structure K = K)
  open HT

end; (* functor HashMapFn *)
