(************************************************************************)
(* constants.sml                                                        *)
(*                                                                      *)
(* Description:                                                         *)
(*     Globally tunable constants.                                      *)
(*                                                                      *)
(* Author:                                                              *)
(*     Evan Chang                                                       *)
(************************************************************************)

(* $Id: constants.sml,v 1.1 2002/06/21 04:14:36 bechang_conductor Exp $ *)


structure Constants =
struct

  (******************************************************)
  (* Determine whether to use focusing with residuation *)
  (* optimization.                                      *)
  (******************************************************)
  val USE_HEADCHECK = true

  (******************************************************)
  (* Initially print debug messages.                    *)
  (******************************************************)
  val MSG_DEBUG = false

end; (* structure Constants *)


(* Debug Messages? *)
if Constants.MSG_DEBUG then Logger.setLogLevel Logger.DEBUG else ();
