(************************************************************************)
(* int-uniqueid.sml                                                     *)
(*                                                                      *)
(* Description:                                                         *)
(*    A simple unique ID structure for UniqueIdSrc for type int.        *)
(*                                                                      *)
(* Author:                                                              *)
(*    Evan Chang                                                        *)
(************************************************************************)

(* $Id: *)


structure IntUniqueId :> UNIQUEID where type id = int =
struct

  type id = int

  (******************************************)
  (* Initial ID                             *)
  (******************************************)
  val initial = 0

  (******************************************)
  (* Next                                   *)
  (******************************************)
  fun next i = i + 1

end; (* structure IntId *)
